<md-toolbar class="md-hue-2 no-print">
    <div class="md-toolbar-tools">
        <div flex md-truncate>
            <h2>PARTY WISE TENDER REPORT</h2>
        </div>
        <md-input-container>
            <label>Round</label>
            <md-select ng-model="master.round_id" ng-change="round_change()">
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in Round" ng-value="x.roundId">
                    {{x.roundName}}
                </md-option>
            </md-select>
        </md-input-container>
        <!-- <md-input-container>
            <label>Party</label>
            <md-select ng-model="master.party_id" ng-change="on_party_change()" multiple="" >
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in Party" ng-value="x.party_id">
                    {{x.party_name}}
                </md-option>
            </md-select>
        </md-input-container> -->
        <md-button class="md-raised md-primary" ng-click="btnLoadClick()">Load</md-button>
        <!-- <md-button class="md-raised md-primary" ng-click="btnSaveClick()" >Save</md-button> -->
    </div>
</md-toolbar>
<br>

<div class="container no-print">
    <div class="row">
        <md-input-container class="col-md-3">
            <label>Party</label>
            <md-select ng-model="search.party_id" ng-change="on_party_change()" multiple="">
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in Partys | orderBy:party_name" ng-value="x.party_id">
                    {{x.party_name}}
                </md-option>
            </md-select>
        </md-input-container>
        <md-input-container class="col-md-3">
            <label>Head Code</label>
            <input ng-model="search.party_head_code" type="text ">
        </md-input-container>
        <!-- <md-button  class="md-raised md-primary col-md-1" ng-click="btnLoadClick()" >Load</md-button> -->
    </div>
</div>
<div class="container mar-top">
    {{get_heading()}} All Party wise final result
    <!-- { party_head_code: search.party_head_code, party_id : search.party_id}:true -->
    <div ng-if="type=='Reports'">
        <!-- | filter : hideFilter | filter:myFilter | filter:{ party_head_code : search.party_head_code  }  -->
        <div class="row" ng-repeat="(m,x) in list | filter:myFilterHeadCode">
            <p>NAME OF PARTY :- {{x.party_display_name}} HEAD CODE {{x.party_head_code}}, Capacity :- {{x.party_purchase_capacity | INR}}
            </h5>
            <table class="table table-bordered table-striped table-hover table-sm" style="font-size: 13px;">
                <thead>
                    <tr>
                        <td style="width: 30px;">Sr</td>
                        <td style="width: 60px;">Rank</td>
                        <td style="width: 100px;">Lot No</td>
                        <td>SOCIETY</td>
                        <td style="width: 100px;"> D.UNION</td>
                        <td style="width: 100px;">St.Bags</td>
                        <td style="width: 100px;">RATE</td>
                        <!-- <td style="width: 100px;">L Year</td>
                        <td style="width: 100px;">Diff</td>
                        <td style="width: 100px;">%</td> -->
                        <td style="width: 100px; text-align: right;">Amount</td>
                        <td style="width: 30px; text-align: right;">Pr.No</td>
                        <!-- <td style="width: 120px;">Status</td> -->
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="(mi,xi) in x.party_lot_data" ng-if="xi.party_lot_result_status">
                        <td style="width: 60px;">{{mi+1}}</td>
                        <td>{{xi.party_lot_rank}} </td>
                        <!-- {{x.party_lot_data}} -->
                        <td>{{xi.Lot.lotNo}} </td>
                        <td>{{xi.Lot.lotName}} </td>
                        <td>{{xi.Lot.lotDISTU}} </td>
                        <td style="text-align: right;">{{xi.Lot.lotSTANB}} </td>
                        <td style="text-align: right;">{{xi.party_lot_pur_rate}}</td>
                        <!-- <td>{{xi.Lot.lotLRATE}}</td>
                        <td>{{(xi.party_lot_pur_rate-4834)}}</td> -->
                        <!-- <td>{{((xi.party_lot_pur_rate-4834)/4834*100).toFixed(2)}}</td> -->
                        <!-- <td>{{((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)== "Infinity" ? "***" : ((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)}}</td> -->
                        <td style="text-align: right;">{{xi.party_lot_qty_per_rate | INR}}</td>
                        <td style="text-align: right;">{{xi.party_lot_priority}}</td>
                        <!-- <td>{{xi.party_lot_result_status | spaceFlt}}</td> -->
                    </tr>
                    <tr>
                        <td colspan="5">Total</td>
                        <td style="text-align: right;">{{get_total_std(x) | INR}}</td>
                        <td></td>
                        <td style="text-align: right;">{{get_total(x) | INR}}</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td colspan="7">BALANCE</td>
                        <td style="text-align: right;">{{ x.party_purchase_capacity - get_total(x) | INR}}</td>
                        <td></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div ng-if="type=='forcast'">
        <!-- filter:{ party_head_code : search.party_head_code } --> 
        <!-- | filter:cheklot -->
        <!-- | filter:myFilter  -->
        <!-- | filter:myFilterHeadCode -->
        <div class="row" ng-repeat="(m,x) in list | filter:myFilterHeadCode  " ng-if="x.party_purchase_capacity!= undifined">
            <table>
                <thead>
                    <th>
                        <p>NAME OF PARTY :- {{x.party_display_name}} HEAD CODE {{x.party_head_code}}, Capacity :- {{x.party_purchase_capacity | INR}}
                        </p>
                    </th>
                </thead>
                <tbody>
                    <table class="table table-bordered table-striped table-hover table-sm" style="font-size: 13px;">

                        <tbody>
                            <tr>
                                <td style="width: 60px;">Sr</td>
                                <td style="width: 100px;">LotNo</td>
                                <td style="width: 80px; text-align: right;">Pr.No</td>
                                <td>SOCIETY</td>
                                <td style="width: 100px;"> D.UNION</td>
                                <td style="width: 60px;">Rank</td>
                                <td style="width: 100px;">RATE</td>
                                <td style="width: 100px;">L Year</td>
                                <td style="width: 100px;">Diff</td>
                                <td style="width: 100px;">%</td>
                                <td style="width: 100px; text-align: right;">St.Bags</td>
                                <td style="width: 100px; text-align: right;">Amount</td>
                                <!-- <td style="width: 100px;">Status</td> -->
                            </tr>
                            <tr ng-repeat="(mi,xi) in x.party_lot_data" ng-if="xi.party_lot_status=='ALLOTED' || xi.party_lot_status=='Luckey Rate'">
                                <td style="width: 60px;">{{mi+1}}</td>
                                <td>{{xi.Lot.lotNo}} </td>
                                <td style="text-align: right;">{{xi.party_lot_priority}}</td>
                                <td>{{xi.Lot.lotName}} </td>
                                <td>{{xi.Lot.lotDISTU}} </td>
                                <td>{{xi.party_lot_rank}} </td>
                                <!-- {{x.party_lot_data}} -->
                                <td>{{xi.party_lot_pur_rate}}</td>
                                <td>{{xi.Lot.lotLRATE}}</td>
                                <td>{{(xi.party_lot_pur_rate-xi.Lot.lotLRATE)}}</td>
                                <!-- <td>{{((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2) =='Infinity' ? "**" : ((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)}}</td> -->
                                <!-- <td>{{((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)}}</td> -->
                                <td>{{((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)== "Infinity" ? "***" : ((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)}}
                                </td>
                                <td style="text-align: right;">{{xi.Lot.lotSTANB}} </td>
                                <td style="text-align: right;">{{xi.party_lot_qty_per_rate | INR}}</td>
                                <!-- <td>{{xi.party_lot_status}}</td> -->
                            </tr>
                            <tr>
                                <td colspan="10"><b>Total</b></td>
                                <!-- {{x.party_lot_data.sum()}} -->
                                <td style="text-align: right;">{{get_std_total(x)}}</td>
                                <td style="text-align: right;">{{get_amt_total(x)}}</td>
                            </tr>
                            <tr>
                                <td colspan="10"><b>BALANCE:</b></td>
                                <td style="text-align: right;"></td>
                                <td style="text-align: right;">{{x.party_purchase_capacity-get_amt_total(x)}}</td>
                            </tr>
                        </tbody>
                    </table>
                </tbody>
            </table>
        </div>
    </div>
    <div ng-if="type=='entry'">
        <div class="row" ng-repeat="(m,x) in list  | filter:myFilterHeadCode" ng-if="x.party_purchase_capacity!= undifined">
            <h5>NAME OF PARTY :- {{x.party_display_name}} HEAD CODE {{x.party_head_code}}, Capacity :- {{x.party_purchase_capacity | INR}}
            </h5>
            <table class="table table-bordered table-striped table-hover table-sm" style="font-size: 13px;">
                <thead>
                    <tr>
                        <td style="width: 20px;">Sr</td>
                        <td style="width: 60px;">Rank</td>
                        <td style="width: 120px;">Lot.No</td>
                        <td>SOCIETY</td>
                        <td style="width: 100px;"> D.UNION</td>
                        <td style="width: 100px;">St.Bags</td>
                        <td style="width: 40px;">RATE</td>
                        <td style="width: 40px;">L.Year</td>
                        <td style="width: 30px;">Diff</td>
                        <td style="width: 30px;">%</td>
                        <td style="width: 100px; text-align: right;">Amount</td>
                        <td style="width: 80px; text-align: right;">Pr.No</td>
                        <td style="width: 250px;">Status</td>
                    </tr>
                </thead>
                <tbody>
                    <!-- ng-if="xi.party_lot_result_status=='ALLOTED' || xi.party_lot_result_status=='Luckey Rate'" -->
                    <tr ng-repeat="(mi,xi) in x.party_lot_data">
                        <td style="width: 60px;">{{mi+1}}</td>
                        <td>{{xi.party_lot_rank}} </td>
                        <!-- {{x.party_lot_data}} -->
                        <td>{{xi.Lot.lotNo}} </td>
                        <td>{{xi.Lot.lotName}} </td>
                        <td>{{xi.Lot.lotDISTU}} </td>
                        <td>{{xi.Lot.lotSTANB}} </td>
                        <td>{{xi.party_lot_pur_rate}}</td>
                        <td>{{xi.Lot.lotLRATE}}</td>
                        <td>{{(xi.party_lot_pur_rate-xi.Lot.lotLRATE)}}</td>
                        <!-- <td>{{((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)}}</td> -->
                        <td>{{((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)== "Infinity" ? "***" : ((xi.party_lot_pur_rate-xi.Lot.lotLRATE)/xi.Lot.lotLRATE*100).toFixed(2)}}</td>
                        <td style="text-align: right;">{{xi.party_lot_qty_per_rate | INR}}</td>
                        <td style="text-align: right;">{{xi.party_lot_priority}}</td>
                        <td>{{xi.party_lot_status | spaceFlt}}</td>
                    </tr>
                    <tr>
                        <td colspan="5">Total</td>
                        <td colspan="5">{{get_sbag_tott(x)}}</td>
                        <td style="text-align: center;">{{get_amt_tott(x)}}</td>
                        <td></td>
                        <td></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>